Skip to content
Start here

List Peers

client.dns.zoneTransfers.peers.list(PeerListParams { account_id } params, RequestOptionsoptions?): SinglePage<Peer { id, name, ip, 3 more } >
GET/accounts/{account_id}/secondary_dns/peers

List Peers.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account Settings WriteAccount Settings Read
ParametersExpand Collapse
params: PeerListParams { account_id }
account_id: string
ReturnsExpand Collapse
Peer { id, name, ip, 3 more }
id: string
name: string

The name of the peer.

ip?: string

IPv4/IPv6 address of primary or secondary nameserver, depending on what zone this peer is linked to. For primary zones this IP defines the IP of the secondary nameserver Cloudflare will NOTIFY upon zone changes. For secondary zones this IP defines the IP of the primary nameserver Cloudflare will send AXFR/IXFR requests to.

ixfr_enable?: boolean

Enable IXFR transfer protocol, default is AXFR. Only applicable to secondary zones.

port?: number

DNS port of primary or secondary nameserver, depending on what zone this peer is linked to.

tsig_id?: string

TSIG authentication will be used for zone transfer if configured.

List Peers

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const peer of client.dns.zoneTransfers.peers.list({
  account_id: '01a7362d577a6c3019a474fd6f485823',
})) {
  console.log(peer.id);
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "23ff594956f20c2a721606e94745a8aa",
      "name": "my-peer-1",
      "ip": "192.0.2.53",
      "ixfr_enable": false,
      "port": 53,
      "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "23ff594956f20c2a721606e94745a8aa",
      "name": "my-peer-1",
      "ip": "192.0.2.53",
      "ixfr_enable": false,
      "port": 53,
      "tsig_id": "69cd1e104af3e6ed3cb344f263fd0d5a"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}